---
search:
  tags:
    - Agent
    - POST
seo:
  description: >-
    Quote an offer. Reference for the POST /v1/quotes endpoint in the agentsub
    Gateway API.
sidebar:
  label: Quote an offer
  badge: POST
title: Quote an offer
type: openapi-operation
---
`POST /v1/quotes`

**Request body** (`application/json`, required)

- `offerId` (string, required)

Request body example:

```json
{
  "offerId": "string"
}
```

**Responses**

- `200` — Quote for the offer
- `401` — \`unauthorized\` problem; live 401s advertise \`WWW-Authenticate: Bearer resource\_metadata=...\`
- `404` — \`not\_found\` problem
- `503` — Runtime or provider configuration unavailable (\`runtime\_configuration\_required\`, \`signing\_configuration\_required\`, \`runtime\_unavailable\`, \`workspace\_unavailable\`, \`provider\_configuration\_required\`)

Response example, 200:

```json
{
  "offerId": "string",
  "amountUc": "string",
  "currency": "usd",
  "amountUsdCents": 0,
  "expiresAt": 0
}
```
